Delete a holding Run in API Explorer
Ask AI
DELETE
/api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings/{uuid}
curl \
--request DELETE 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (204)
{
"uuid": "bfeeee3b-0765-441c-9e3c-9887a5a309f3",
"created_at": "2026-11-20T16:36:30+00:00",
"updated_at": "2026-11-20T16:36:30+00:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "4c82a2e9-d504-4361-8146-0ac36ce820ae",
"created_at": "2026-11-20T16:36:30+00:00",
"updated_at": "2026-11-20T16:36:30+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "025b30f8-fce6-4743-880a-a1b229bd164a",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"valued_at": "2026-11-20T16:36:35+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "c8e649a0-f267-461f-880a-e634c9a48ee0",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"is_proposed": true,
"proposed_at": "2026-11-20T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "ce9368b2-3c6c-4ce3-afb5-52a52c0b4a5d",
"created_at": "2026-11-20T16:36:30+00:00",
"updated_at": "2026-11-20T16:36:30+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
Response examples (409)
{
"message": "Plan is being deleted."
}